<h1> test <%= @test %></h1>

<a class="button7" onclick="changeRole('Dommy Dobermann')" style="background-color:#2979FF" href="#">Update</a>
<script type="text/javascript">
    function changeRole(user_id) {
        alert(user_id);
        call_ajax("http://127.0.0.1:3000/api/v1/car_stats?limit=1");
    }

    function call_ajax(url) {
        $.ajax({
            url: url,
            type: 'GET',
            dataType: 'json', // added data type
            success: function (res) {
                alert("call_ajax Done")
            }
        });
    }
</script>